#
# spec file for package unetbootin
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define rev     377
Name:           unetbootin
Version:        0.0.%{rev}
Release:        1.1
Url:            http://unetbootin.sourceforge.net/
License:        GPL v2 or later
Group:          System/GUI/Other
Summary:        Universal Netboot Installer
# downloaded from http://unetbootin.sourceforge.net/unetbootin-source-clean-latest.tar.gz
Source:         %{name}-source-%{rev}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ libqt4-devel
Requires:       mtools p7zip udev util-linux syslinux

%description
UNetbootin allows for the installation of various Linux/BSD distributions
to a partition or USB drive, so it's no different from a standard install,
only it doesn't need a CD. It can create a dual-boot install,
or replace the existing OS entirely.

%prep
%setup -q -c -n %{name}

%build
sed -i '/^RESOURCES/d' unetbootin.pro
lupdate unetbootin.pro
lrelease unetbootin.pro
qmake "DEFINES += NOSTATIC" "RESOURCES -= unetbootin.qrc"
make %{?jobs:-j%jobs}

%install
install -D -m 0755 %{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a unetbootin_*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.TXT
%{_sbindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Fri Oct  9 2009 cs@linux-administrator.com
- updated to revision 372
* Tue Jul 21 2009 cs@linux-administrator.com
- updated to revision 356
* Sat Feb 28 2009 cs@linux-administrator.com
- updated to revision 312
* Wed Dec 10 2008 prusnak@suse.cz
- updated to revision 301
* Mon Aug 18 2008 prusnak@suse.cz
- created package - revision 272
